--- Qt4Qt5/Qsci/qsciabstractapis.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qsciabstractapis.h	2016-05-16 19:25:31.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCIABSTRACTAPIS_H
 #define QSCIABSTRACTAPIS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QList>
 #include <QObject>
 #include <QStringList>
@@ -91,8 +87,4 @@
     QsciAbstractAPIs &operator=(const QsciAbstractAPIs &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciapis.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qsciapis.h	2016-05-16 19:22:46.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCIAPIS_H
 #define QSCIAPIS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QList>
 #include <QObject>
 #include <QPair>
@@ -214,8 +210,4 @@
     QsciAPIs &operator=(const QsciAPIs &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscicommand.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscicommand.h	2016-05-16 19:25:25.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCICOMMAND_H
 #define QSCICOMMAND_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qstring.h>
 
 #include <Qsci/qsciglobal.h>
@@ -406,8 +402,4 @@
     QsciCommand &operator=(const QsciCommand &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscicommandset.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscicommandset.h	2016-05-16 19:22:39.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCICOMMANDSET_H
 #define QSCICOMMANDSET_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 #include <QList>
@@ -90,8 +86,4 @@
     QsciCommandSet &operator=(const QsciCommandSet &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscidocument.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscidocument.h	2016-05-16 19:25:19.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCIDOCUMENT_H
 #define QSCIDOCUMENT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <Qsci/qsciglobal.h>
 
 
@@ -62,8 +58,4 @@
     QsciDocumentP *pdoc;
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciglobal.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qsciglobal.h	2016-05-16 19:22:32.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCIGLOBAL_H
 #define QSCIGLOBAL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 
@@ -49,8 +45,4 @@
 #define QT_END_NAMESPACE
 #endif
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexer.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexer.h	2016-05-16 19:25:13.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXER_H
 #define QSCILEXER_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QColor>
 #include <QFont>
 #include <QMap>
@@ -351,8 +347,4 @@
     QsciLexer &operator=(const QsciLexer &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexeravs.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexeravs.h	2016-05-16 19:22:25.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERAVS_H
 #define QSCILEXERAVS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -175,8 +171,4 @@
     QsciLexerAVS &operator=(const QsciLexerAVS &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerbash.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerbash.h	2016-05-16 19:25:06.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERBASH_H
 #define QSCILEXERBASH_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -179,8 +175,4 @@
 	QsciLexerBash &operator=(const QsciLexerBash &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerbatch.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerbatch.h	2016-05-16 19:22:18.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERBATCH_H
 #define QSCILEXERBATCH_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -116,8 +112,4 @@
     QsciLexerBatch &operator=(const QsciLexerBatch &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercmake.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexercmake.h	2016-05-16 19:24:59.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERCMAKE_H
 #define QSCILEXERCMAKE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -161,8 +157,4 @@
     QsciLexerCMake &operator=(const QsciLexerCMake &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercoffeescript.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexercoffeescript.h	2016-05-16 19:22:10.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERCOFFEESCRIPT_H
 #define QSCILEXERCOFFEESCRIPT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -262,8 +258,4 @@
     QsciLexerCoffeeScript &operator=(const QsciLexerCoffeeScript &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercpp.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexercpp.h	2016-05-16 19:24:53.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERCPP_H
 #define QSCILEXERCPP_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -399,8 +395,4 @@
     QsciLexerCPP &operator=(const QsciLexerCPP &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercsharp.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexercsharp.h	2016-05-16 19:22:05.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERCSHARP_H
 #define QSCILEXERCSHARP_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -78,8 +74,4 @@
     QsciLexerCSharp &operator=(const QsciLexerCSharp &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercss.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexercss.h	2016-05-16 19:24:47.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERCSS_H
 #define QSCILEXERCSS_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -253,8 +249,4 @@
     QsciLexerCSS &operator=(const QsciLexerCSS &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexercustom.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexercustom.h	2016-05-16 19:21:58.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERCUSTOM_H
 #define QSCILEXERCUSTOM_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <Qsci/qsciglobal.h>
 #include <Qsci/qscilexer.h>
 
@@ -104,8 +100,4 @@
     QsciLexerCustom &operator=(const QsciLexerCustom &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerd.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerd.h	2016-05-16 19:24:40.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERD_H
 #define QSCILEXERD_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -243,8 +239,4 @@
     QsciLexerD &operator=(const QsciLexerD &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerdiff.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerdiff.h	2016-05-16 19:21:50.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERDIFF_H
 #define QSCILEXERDIFF_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -96,8 +92,4 @@
     QsciLexerDiff &operator=(const QsciLexerDiff &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerfortran.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerfortran.h	2016-05-16 19:24:31.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERFORTRAN_H
 #define QSCILEXERFORTRAN_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -60,8 +56,4 @@
     QsciLexerFortran &operator=(const QsciLexerFortran &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerfortran77.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerfortran77.h	2016-05-16 19:21:41.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERFORTRAN77_H
 #define QSCILEXERFORTRAN77_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -169,8 +165,4 @@
     QsciLexerFortran77 &operator=(const QsciLexerFortran77 &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerhtml.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerhtml.h	2016-05-16 19:24:24.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERHTML_H
 #define QSCILEXERHTML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -533,8 +529,4 @@
     QsciLexerHTML &operator=(const QsciLexerHTML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexeridl.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexeridl.h	2016-05-16 19:21:35.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERIDL_H
 #define QSCILEXERIDL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -65,8 +61,4 @@
     QsciLexerIDL &operator=(const QsciLexerIDL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerjava.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerjava.h	2016-05-16 19:24:17.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERJAVA_H
 #define QSCILEXERJAVA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -56,8 +52,4 @@
     QsciLexerJava &operator=(const QsciLexerJava &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerjavascript.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerjavascript.h	2016-05-16 19:21:29.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERJSCRIPT_H
 #define QSCILEXERJSCRIPT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -82,8 +78,4 @@
     QsciLexerJavaScript &operator=(const QsciLexerJavaScript &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerlua.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerlua.h	2016-05-16 19:24:11.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERLUA_H
 #define QSCILEXERLUA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -195,8 +191,4 @@
     QsciLexerLua &operator=(const QsciLexerLua &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexermakefile.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexermakefile.h	2016-05-16 19:21:23.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERMAKEFILE_H
 #define QSCILEXERMAKEFILE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -106,8 +102,4 @@
     QsciLexerMakefile &operator=(const QsciLexerMakefile &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexermatlab.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexermatlab.h	2016-05-16 19:24:05.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERMATLAB_H
 #define QSCILEXERMATLAB_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -105,8 +101,4 @@
     QsciLexerMatlab &operator=(const QsciLexerMatlab &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexeroctave.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexeroctave.h	2016-05-16 19:21:17.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXEROCTAVE_H
 #define QSCILEXEROCTAVE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -61,8 +57,4 @@
     QsciLexerOctave &operator=(const QsciLexerOctave &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpascal.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerpascal.h	2016-05-16 19:23:59.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERPASCAL_H
 #define QSCILEXERPASCAL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -228,8 +224,4 @@
     QsciLexerPascal &operator=(const QsciLexerPascal &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerperl.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerperl.h	2016-05-16 19:21:10.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERPERL_H
 #define QSCILEXERPERL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -313,8 +309,4 @@
     QsciLexerPerl &operator=(const QsciLexerPerl &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpo.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerpo.h	2016-05-16 19:23:53.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERPO_H
 #define QSCILEXERPO_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -164,8 +160,4 @@
     QsciLexerPO &operator=(const QsciLexerPO &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpostscript.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerpostscript.h	2016-05-16 19:21:01.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERPOSTSCRIPT_H
 #define QSCILEXERPOSTSCRIPT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -205,8 +201,4 @@
     QsciLexerPostScript &operator=(const QsciLexerPostScript &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpov.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerpov.h	2016-05-16 19:23:47.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERPOV_H
 #define QSCILEXERPOV_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -204,8 +200,4 @@
     QsciLexerPOV &operator=(const QsciLexerPOV &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerproperties.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerproperties.h	2016-05-16 19:20:54.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERPROPERTIES_H
 #define QSCILEXERPROPERTIES_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -151,8 +147,4 @@
     QsciLexerProperties &operator=(const QsciLexerProperties &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerpython.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerpython.h	2016-05-16 19:23:40.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERPYTHON_H
 #define QSCILEXERPYTHON_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -322,8 +318,4 @@
     QsciLexerPython &operator=(const QsciLexerPython &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerruby.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerruby.h	2016-05-16 19:20:47.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERRUBY_H
 #define QSCILEXERRUBY_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -241,8 +237,4 @@
     QsciLexerRuby &operator=(const QsciLexerRuby &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerspice.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerspice.h	2016-05-16 19:23:35.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERSPICE_H
 #define QSCILEXERSPICE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -107,8 +103,4 @@
     QsciLexerSpice &operator=(const QsciLexerSpice &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexersql.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexersql.h	2016-05-16 19:20:21.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERSQL_H
 #define QSCILEXERSQL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -287,8 +283,4 @@
     QsciLexerSQL &operator=(const QsciLexerSQL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexertcl.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexertcl.h	2016-05-16 19:23:28.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERTCL_H
 #define QSCILEXERTCL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -190,8 +186,4 @@
 	QsciLexerTCL &operator=(const QsciLexerTCL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexertex.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexertex.h	2016-05-16 19:20:13.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERTEX_H
 #define QSCILEXERTEX_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -164,8 +160,4 @@
     QsciLexerTeX &operator=(const QsciLexerTeX &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerverilog.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerverilog.h	2016-05-16 19:23:22.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERVERILOG_H
 #define QSCILEXERVERILOG_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -258,8 +254,4 @@
     QsciLexerVerilog &operator=(const QsciLexerVerilog &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexervhdl.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexervhdl.h	2016-05-16 19:20:02.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERVHDL_H
 #define QSCILEXERVHDL_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -222,8 +218,4 @@
     QsciLexerVHDL &operator=(const QsciLexerVHDL &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexerxml.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexerxml.h	2016-05-16 19:23:16.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERXML_H
 #define QSCILEXERXML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -107,8 +103,4 @@
     QsciLexerXML &operator=(const QsciLexerXML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscilexeryaml.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscilexeryaml.h	2016-05-16 19:19:56.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCILEXERYAML_H
 #define QSCILEXERYAML_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QObject>
 
 #include <Qsci/qsciglobal.h>
@@ -148,8 +144,4 @@
     QsciLexerYAML &operator=(const QsciLexerYAML &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscimacro.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscimacro.h	2016-05-16 19:23:09.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCIMACRO_H
 #define QSCIMACRO_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QList>
 #include <QObject>
 #include <QString>
@@ -99,8 +95,4 @@
     QsciMacro &operator=(const QsciMacro &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciprinter.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qsciprinter.h	2016-05-16 19:19:49.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCIPRINTER_H
 #define QSCIPRINTER_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 // This is needed for Qt v5.0.0-alpha.
 #if defined(B0)
 #undef B0
@@ -113,8 +109,4 @@
 
 #endif
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciscintilla.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qsciscintilla.h	2016-05-16 19:23:02.000000000 -0700
@@ -22,10 +22,6 @@
 #ifndef QSCISCINTILLA_H
 #define QSCISCINTILLA_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <QByteArray>
 #include <QList>
 #include <QObject>
@@ -2157,8 +2153,4 @@
     QsciScintilla &operator=(const QsciScintilla &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qsciscintillabase.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qsciscintillabase.h	2016-05-16 19:19:35.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCISCINTILLABASE_H
 #define QSCISCINTILLABASE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qglobal.h>
 
 #include <QAbstractScrollArea>
@@ -3614,8 +3610,4 @@
     QsciScintillaBase &operator=(const QsciScintillaBase &);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscistyle.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscistyle.h	2016-05-16 19:22:53.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCISTYLE_H
 #define QSCISTYLE_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qcolor.h>
 #include <qfont.h>
 #include <qstring.h>
@@ -190,8 +186,4 @@
     void init(int style);
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
--- Qt4Qt5/Qsci/qscistyledtext.h.orig	2016-04-18 02:08:48.000000000 -0700
+++ Qt4Qt5/Qsci/qscistyledtext.h	2016-05-16 19:19:22.000000000 -0700
@@ -21,10 +21,6 @@
 #ifndef QSCISTYLEDTEXT_H
 #define QSCISTYLEDTEXT_H
 
-#ifdef __APPLE__
-extern "C++" {
-#endif
-
 #include <qstring.h>
 
 #include <Qsci/qsciglobal.h>
@@ -62,8 +58,4 @@
     const QsciStyle *explicit_style;
 };
 
-#ifdef __APPLE__
-}
-#endif
-
 #endif
